package com.dcsoft.system.face.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * rule对象 face_rule
 *
 * @author nichun
 * @date 2023-04-19
 */
public class FaceRule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 防替入学采集比对 */
    @Excel(name = "防替入学采集比对")
    private String ftrx;

    /** 身份核验相似度 */
    @Excel(name = "身份核验相似度")
    private Integer xsfs;

    /** 校验模式 */
    @Excel(name = "校验模式")
    private String jyms;

    /** 不参与身份验证 */
    @Excel(name = "不参与身份验证")
    private String sfyz;

    /** =模式 */
    @Excel(name = "审核模式")
    private String shms;

    public void setFtrx(String ftrx)
    {
        this.ftrx = ftrx;
    }

    public String getFtrx()
    {
        return ftrx;
    }
    public void setXsfs(Integer xsfs)
    {
        this.xsfs = xsfs;
    }

    public Integer getXsfs()
    {
        return xsfs;
    }
    public void setJyms(String jyms)
    {
        this.jyms = jyms;
    }

    public String getJyms()
    {
        return jyms;
    }
    public void setSfyz(String sfyz)
    {
        this.sfyz = sfyz;
    }

    public String getSfyz()
    {
        return sfyz;
    }

    public String getShms() {
        return shms;
    }

    public void setShms(String shms) {
        this.shms = shms;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("ftrx", getFtrx())
            .append("xsfs", getXsfs())
            .append("jyms", getJyms())
            .append("sfyz", getSfyz())
            .toString();
    }
}
